﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Nested-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Configuring Authentication</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Configuring Authentication</h1>
        <p>Authentication means verifying the identity of users that connect to Saviynt Identity Governance and Administration (IGA). Validating this identity establishes a trust relationship for further interactions. Authentication also enables accountability by making it possible to link access and actions to specific identities. After authentication, authorization processes can allow or limit the levels of access and action permitted to that entity.</p>
        <p> IGA supports user authentication using an internal database and an external service like SAML SSO or LDAP.</p>
        <div class="table-wrap">
            <table class="TableStyle-Nested-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Nested-Table.css');" cellspacing="0">
                <col style="width: 179px;" class="TableStyle-Nested-Table-Column-Column1" />
                <col style="width: 331px;" class="TableStyle-Nested-Table-Column-Column1" />
                <col style="width: 235px;" class="TableStyle-Nested-Table-Column-Column1" />
                <col style="width: 399px;" class="TableStyle-Nested-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Nested-Table-Head-Header1">
                        <th class="TableStyle-Nested-Table-HeadE-Column1-Header1">Authentication Method</th>
                        <th class="TableStyle-Nested-Table-HeadE-Column1-Header1">How does it work with IGA?</th>
                        <th class="TableStyle-Nested-Table-HeadE-Column1-Header1">Suitable for</th>
                        <th class="TableStyle-Nested-Table-HeadD-Column1-Header1">Reference</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Native authentication</p>
                        </td>
                        <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Native authentication is the default mode for authenticating users.</p>
                            <p class="table-text">Users are authenticated against a database on IGA, based on the submitted username and password, which are compared to user credentials defined and stored on the IGA database.</p>
                        </td>
                        <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">External identity providers are not available</p>
                        </td>
                        <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">If you want to authenticate the user using IGA Database, ensure that the <span class="attr">sav.useLDAPasbackend</span> property is set to <label class="param-value">false</label> in the <label class="filename-path">externalconfig.properties</label> file.  <br />For more information about updating the externalconfig.properties file, see <MadCap:xref href="Managing-Configuration-Files.htm">Managing Configuration Files</MadCap:xref>.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">SAML Single sign-on (SSO)</p>
                        </td>
                        <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">SAML (Security Assertion Markup Language) is an open standard used for authentication. Based upon the Extensible Markup Language (XML) format, web applications use SAML to transfer authentication data between two parties:</p>
                            <ul>
                                <li>
                                    <p class="table-text">Identity provider (IdP): Performs authentication and passes the user's identity and authorization level to the SP.</p>
                                </li>
                                <li>
                                    <p class="table-text">Service Provider (SP): IGA configured as the SP trusts the identity provider and authorizes the given user to access the requested resource.</p>
                                </li>
                            </ul>
                            <p class="table-text">SAML uses a claims-based authentication workflow. First, when a user tries to access the IGA site, IGA (SP) asks the IdP (For example, Azure AD, Okta, and others) to authenticate the user. Then, IGA uses the SAML assertion issued by the identity provider to grant the user access.</p>
                            <p class="table-text">When you configure IGA as the SP with an IdP, you can:</p>
                            <ul>
                                <li>
                                    <p class="table-text">Control in the IdP who has access to IGA.</p>
                                </li>
                                <li>
                                    <p class="table-text">Enable your users to be automatically sign-in to IGA with their IdP accounts.</p>
                                </li>
                            </ul>
                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                <p class="note">IGA supports SP and IdP initiated SSO.</p>
                            </div>
                        </td>
                        <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Cloud and web applications</p>
                        </td>
                        <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">
                                <MadCap:xref href="Configuring-SAML-Based-Single-Sign-On.htm">Configuring SAML-Based Single Sign-On</MadCap:xref>
                            </p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td class="TableStyle-Nested-Table-BodyB-Column1-Body1">
                            <p class="table-text">LDAP</p>
                        </td>
                        <td class="TableStyle-Nested-Table-BodyB-Column1-Body1">
                            <p class="table-text">Lightweight Directory Access Protocol (LDAP) enables IGA to authenticate users through an LDAP repository.</p>
                        </td>
                        <td class="TableStyle-Nested-Table-BodyB-Column1-Body1">
                            <p class="table-text">Microsoft Active Directory and on-premises applications</p>
                        </td>
                        <td class="TableStyle-Nested-Table-BodyA-Column1-Body1">
                            <p class="table-text"><![CDATA[
                                ]]><MadCap:xref href="../Chapter07-General-Administrator-Tasks/Configuring-LDAP-Authentication.htm">Configuring LDAP Authentication</MadCap:xref><![CDATA[
                            ]]></p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </body>
</html>